## db6.0 6.0.19

=== lang/sql/sqlite/ext/bfile/build/Makefile ===
#!/usr/make
#
# Makefile for DBSQL BFile
#
# This makefile is suppose to be build for linux and windriver-ovia.
# But if that does not work for you, you can configure the makefile 
# manually.  Just set the parameters below to values that
# work well for your system.
#

# The toplevel directory of the source tree.
#
TOP = ../
# When manipulating BFILE, if you want to use c-functions set it to 1;
# Otherwise, set it to zero
ENABLE_BFILE_CAPI = 0

# The ovia options
#
ifeq ($(BUILD_OVIA), 1)
CROSS_COMPILE = arm-wrs-linux-gnueabi-arm_novfp-glibc_small-
CFLAGS += -msoft-float
CFLAGS += -I$(WIND_BASE)/wrlinux/target-libs/glibc_small/arm-wrs-linux-gnueabi-arm_novfp/include
CFLAGS += -L$(WIND_BASE)/wrlinux/target-libs/glibc_small/arm-wrs-linux-gnueabi-arm_novfp/lib
#TLIBS += -ldl
endif

# C Compile and options for use in building executables that 
# will run on the target platform.
#
TCC = $(CROSS_COMPILE)gcc
TCC += $(CFLAGS) -fPIC -O3 -I${TOP}/include -I$(DBSQL_DIR)/include -I../../../../generated -I../../../src
ifeq ($(ENABLE_BFILE_CAPI), 1)
TCC += -DBFILE_USE_CAPIS
endif

# Any target libraries which libsqlite must be linked against
# 
TLIBS += -lpthread -ldl

# The directory into which to store package information for

# Some standard variables and programs
#
prefix = $(DBSQL_DIR)
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
INSTALL = /usr/bin/install -c

# You should not have to change anything below this line
###############################################################################


# This is the default Makefile target.  The objects listed here
# are what get build when you type just "make" with no arguments.
#
ifndef DBSQL_DIR
all:
	echo "Please set the correct path for DBSQL_DIR"
else
all:	libbfile_ext.so bfile_test bfile_example
endif

libbfile_ext.so:	$(TOP)/src/bfile.c $(TOP)/include/bfile.h
	$(TCC) $(TOP)/src/bfile.c -o libbfile_ext.so -shared

ifeq ($(ENABLE_BFILE_CAPI), 0)
bfile_test:	$(TOP)/test/bfile_test_sql.c $(TOP)/include/bfile.h libbfile_ext.so
	$(TCC) $(TOP)/test/bfile_test_sql.c -o bfile_test_sql $(TLIBS) -L. -lbfile_ext -L$(DBSQL_DIR)/lib -ldb_sql -ldl
bfile_example:	$(TOP)/examples/bfile_example_sql.c $(TOP)/include/bfile.h libbfile_ext.so
	$(TCC) $(TOP)/examples/bfile_example_sql.c -o bfile_example_sql $(TLIBS) -L. -lbfile_ext -L$(DBSQL_DIR)/lib -ldb_sql -ldl
else
bfile_test:	$(TOP)/test/bfile_test_capi.c $(TOP)/include/bfile.h libbfile_ext.so
	$(TCC) $(TOP)/test/bfile_test_capi.c -o bfile_test_capi $(TLIBS) -L. -lbfile_ext -L$(DBSQL_DIR)/lib -ldb_sql -ldl
bfile_example:	$(TOP)/examples/bfile_example_capi.c $(TOP)/include/bfile.h libbfile_ext.so
	$(TCC) $(TOP)/examples/bfile_example_capi.c -o bfile_example_capi $(TLIBS) -L. -lbfile_ext -L$(DBSQL_DIR)/lib -ldb_sql -ldl
endif
install:	libbfile_ext.so $(TOP)/include/bfile.h
	$(INSTALL) -m 0755 libbfile_ext.so $(DESTDIR)$(libdir)
	$(INSTALL) -m 0644 $(TOP)/include/bfile.h $(DESTDIR)$(includedir)

clean:	
	rm -rf *.jpg *.db* libbfile_ext.so bfile_test bfile_example

# Makefile can not test for ovia. It sould be copy to ovia platform.
# The follow target only suit for linux.
#
ifeq ($(BUILD_OVIA), 0)
test:	bfile_test
	env LD_LIBRARY_PATH=.:$(DBSQL_DIR)/lib:$(LD_LIBRARY_PATH) ./bfile_test
endif

ifdef TESTFIXTURE
ifdef TEST_DIR
tcl_test:	$(TOP)/test/bfile.test
	cp $(TOP)/test/bfile.test $(TEST_DIR)/
	env LD_LIBRARY_PATH=.:$(DBSQL_DIR)/lib:$(LD_LIBRARY_PATH) $(TESTFIXTURE) $(TEST_DIR)/bfile.test
else
tcl_test:
	-echo "Please set the correct fullpath for TEST_DIR"
endif
else
tcl_test:
	-echo "Please set the correct fullpath for TESTFIXTURE"
endif

run:	bfile_example
	env LD_LIBRARY_PATH=.:$(DBSQL_DIR)/lib:$(LD_LIBRARY_PATH) ./bfile_example

=== debian/changelog ===
db6.0 (6.0.19-3ubuntu1) trusty; urgency=medium

  * Update libtool.m4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2014 14:41:40 +0100

db6.0 (6.0.19-3) unstable; urgency=low

  * Add myself to uploaders.
  * Use /usr/share/dpkg/architecture.mk

  Apply changes from Ubuntu packaging:
  * Search for tcl in the multiarch location, conditionally.
  * Enable historic dbm interface. Thanks Wookey. (LP: #1126392)
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.
  * Really clean the build directory.
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 15 Aug 2013 15:51:15 +0100

db6.0 (6.0.19-2) unstable; urgency=low

  * Fix FTBFS with stricter linker and link libdb6.0-sql with libraries is
    uses (Closes: #712262) (Courtesy of Iain Lane)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 15 Jun 2013 11:41:29 +0200

db6.0 (6.0.19-1) unstable; urgency=low

  * New upstream version 6.0.19
  * Update debian/* package files from 5.1 to 6.0
  * Packaging updates:
    + Update saved_signature for amd64
    + Add saved_signature for i386

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Jun 2013 08:50:23 +0200

db (5.1.29-6) unstable; urgency=low

  * Ensure that backwards compatible Java bytecode is built (Closes: #688138)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Jun 2013 10:27:02 +0200

db (5.1.29-5) unstable; urgency=low

  * Export JAVAC_FLAGS with -source 1.5 -target 1.5 (Closes: #678187)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jun 2012 11:52:51 +0200

db (5.1.29-4) unstable; urgency=low

  * Remove M-A: foreign from libdb5.1-java, since it was wrong

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 May 2012 14:00:11 +0200

db (5.1.29-3) unstable; urgency=low

  * Reverse dependency between -java and -java-jni package to not break
    our reverse dependencies (Closes: #672463)
  * Suggests instead of Recommends for libdb5.1-java-gcj (Closes: #670664)
  * Explicitly depend on debhelper (>= 9) (Closes: #669991)
  * Fix binNMUability and bump standards to 3.9.3

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 May 2012 14:00:04 +0200

db (5.1.29-2) unstable; urgency=low

  * Split libdb5.1-java to arch independent libdb5.1-java and move JNI
    libraries to libdb5.1-java-jni (Closes: #670011)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 10:10:08 +0200

db (5.1.29-1) unstable; urgency=low

  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
  * Update priority of db5.1-util and add missing description of
    db5.1_sql
  * Add git-buildpackage configuration
  * Imported Upstream version 5.1.29

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Dec 2011 15:44:35 +0100

db (5.1.25-11) unstable; urgency=low

  * Disable libdb5.1-java-gcj on sh4 (Closes: #623980)
  * Add code to compare built-in signature to prevent future bugs
    like #625484
  * Print built-in signature to the build log
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631318)
  * Update db_signature linking to MultiArch libraries
  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
    + Only generate the signature if we don't have it (first pass)
  * Install build_signature_$(ARCH).txt to libdb5.1 package
    + This will allow to add all correct signatures in next upload

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 14:26:40 +0200

db (5.1.25-10) unstable; urgency=low

  * Drop dependency on ca-certificates-java, it didn't work for non
    openjdk platforms anyway

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Apr 2011 22:24:00 +0200

db (5.1.25-9) unstable; urgency=low

  * Fix HOST vs BUILD variables (Closes: #623543)
  * Rewrite debian/rules to use ENABLE_JAVA and ENABLE_GCJ
  * Enable Java on mips again
  * Move db5.1-sql util to separate package to prevent db5.1-util
    dependency on lidb5.1-sql library
  * Build-depends on ca-certificates-java (>> 20100412)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Apr 2011 14:30:22 +0200

db (5.1.25-8) unstable; urgency=low

  * Disable Java build on mips to fix FTBS

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 15:22:27 +0200

db (5.1.25-7) unstable; urgency=low

  * Revert to upstream JAR name -> db.jar

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 08:51:57 +0200

db (5.1.25-6) unstable; urgency=low

  * Enable Java support on every Debian architecture
  * Debian packaging:
    + Add javahelper addon for debhelper
    + Change DEB_HOST_ARCH to DEB_BUILD_ARCH
    + Keep -Ddist -Bbuild to overridden dh_auto_ commands to fix
      javahelper breakage
    + Fix typo and set GCJ CFLAGS out of the condition
    + Only rename db.jar to libdb5.1.jar and rest let to jh_installlibs
    + Change --fail-missing to --list-missing
    + Move dh_nativejava after jh_installibs

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 00:21:34 +0200

db (5.1.25-5) unstable; urgency=low

  * Fix FTBFS when buildd directory is named db_<version>

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 18:18:01 +0200

db (5.1.25-4) unstable; urgency=low

  * Add debug info for all libraries
  * Fix FTBFS on freebsd-{amd64,i386} (Thanks Matthias Klose)
    (Closes: #621878)
  * Fix lintian warnings and errors:
    + Update default java build dependencies
    + Tighten Java libraries dependencies
    + Fix errors in db5.1_load.1 manpage
  * Debian packaging:
    + Convert package build system to debhelper with overrides
    + Move debian/rules to debhelper
    + Remove some obsolete Conflicts
    + Add ${misc:Depends} since we build depend on debhelper now


=== debian/control ===
Source: db6.0
Section: libs
Priority: standard
Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>, Dmitrijs Ledkovs <xnox@debian.org>
Standards-Version: 3.9.4
# For cross building one also needs tcl8.4:native (ie. such that it
# can be executed to pre-process sqlite3 components).
# For DEB_STAGE=stage1 build tcl-dev, javahelper, default-jdk,
# gcj-native-helper can be dropped
Build-Depends: debhelper (>= 9),
	       autotools-dev (>= 20100122.1),
	       tcl-dev,
	       procps [!hurd-i386],
	       javahelper,
	       default-jdk,
	       gcj-native-helper
Homepage: http://www.oracle.com/us/products/database/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db6.0.git
Vcs-Git: git://git.debian.org/pkg-db/db6.0.git

Package: db6.0-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Berkeley v6.0 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 6.0 of Berkeley DB.

Package: libdb6.0-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb6.0 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db6.0-doc
Conflicts: libdb5.1-dev, libdb5.3-dev
Description: Berkeley v6.0 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v6.0 database library.

Package: libdb6.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 Database Libraries [runtime]
 This is the runtime package for programs that use the v6.0 Berkeley
 database library.

Package: db6.0-util
Architecture: any
Section: database
Priority: standard
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v6.0 database format, and includes:
  - db6.0_archive: write the pathnames of the log files no longer in use.
  - db6.0_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db6.0_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db6.0_load: loads (and creates) a database from standard input.
  - db6.0_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db6.0_printlog: dump log files in human readable format.
  - db6.0_stat: display statistics for Berkeley DB environments.
  - db6.0_upgrade: upgrades the version of files and the databases they
    contain.
  - db6.0_verify: check the structure of files and their databases.

Package: db6.0-sql-util
Architecture: any
Section: database
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 SQL Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v6.0 SQL database format, and includes:
  - db6.0_sql: sqlite3 compatible command-line utility

Package: libdb6.0++
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Priority: optional
Description: Berkeley v6.0 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v6.0
 database library.  This is only for programs which use the C++ interface.

Package: libdb6.0++-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb6.0++ (= ${binary:Version}),
	 libdb6.0-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb5.1++-dev, libdb5.3++-dev
Description: Berkeley v6.0 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v6.0 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb6.0-tcl
Architecture: any
Section: interpreters
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libdb5.1-tcl, libdb5.3-tcl
Depends: ${tcl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v6.0
 databases from within Tcl programs.

Package: libdb6.0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb6.0 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Berkeley v6.0 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v6.0 database
 libraries and binaries.

Package: libdb6.0-java-jni
Architecture: any
Section: java
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Breaks: libdb6.0-java (<< ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v6.0 Database Libraries for Java
 This package provides the Java interface for the Berkeley v6.0 database
 library.

Package: libdb6.0-java
Architecture: all
Section: java
Priority: optional
Depends: libdb6.0-java-jni (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libdb6.0-java-gcj
Description: Berkeley v6.0 Database Libraries for Java
 This package provides the Java interface for the Berkeley v6.0 database
 library.

Package: libdb6.0-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb6.0-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v6.0 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v6.0 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb6.0-java-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libdb6.0-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libdb5.1-java-dev, libdb5.3-java-dev
Description: Berkeley v6.0 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v6.0 database
 library.

Package: libdb6.0-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb6.0-sql (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db6.0-doc
Conflicts: libdb5.1-sql-dev, lidb5.3-sql-dev
Description: Berkeley v6.0 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v6.0 database library.

Package: libdb6.0-sql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v6.0 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v6.0 Berkeley
 database SQL library.

Package: libdb6.0-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb6.0-stl (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db6.0-doc
Conflicts: libdb5.1-stl-dev, lidb5.3-stl-dev
Description: Berkeley v6.0 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v6.0 database library.

Package: libdb6.0-stl
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v6.0 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v6.0 Berkeley
 database STL library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Berkeley DB defaults
# Copyright (C) 2011 Ondřej Surý
# Published under the GNU GPL license
# Partially based on previous work by Clint Adams
#
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=.arch-ids

include /usr/share/dpkg/architecture.mk

# Don't try to build this file if missing
/usr/share/gcj/debian_defaults /usr/share/javahelper/java-vars.mk:
	:

-include /usr/share/gcj/debian_defaults
-include /usr/share/javahelper/java-vars.mk

JAVA_BROKEN_ARCHS =
GCJ_BROKEN_ARCHS = ia64 sparc mips sh4
GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))

ENABLE_JAVA=no
ENABLE_GCJ=no

ifeq (,$(filter $(DEB_HOST_ARCH), $(JAVA_BROKEN_ARCHS)))
  ENABLE_JAVA=yes
ifneq (,$(filter $(DEB_HOST_ARCH), $(GCJ_NATIVE_ARCHS)))
  ENABLE_GCJ=yes
endif
endif

ifeq ($(DEB_STAGE),stage1)
  ENABLE_JAVA=no
  ENABLE_GCJ=no
  ENABLE_TCL=no
else
  ENABLE_TCL=yes
endif

CONFIGURE_SWITCHES =    --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib \
			--enable-cxx \
			--enable-compat185 \
			--enable-sql \
			--enable-stl \
			--enable-dbm

ifeq ($(ENABLE_TCL),yes)
  ENABLE_TESTS=yes
  CONFIGURE_SWITCHES += --enable-tcl
ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl*))
  CONFIGURE_SWITCHES += --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
else
  CONFIGURE_SWITCHES += --with-tcl=/usr/lib
endif
else
  ENABLE_TESTS=no
  CONFIGURE_SWITCHES += --disable-tcl
  DH_OPTIONS += -Nlibdb5.1-tcl
endif

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  ENABLE_TESTS=no
endif

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  ENABLE_TESTS=no
endif

ifeq ($(ENABLE_TESTS),yes)
  CONFIGURE_SWITCHES += --enable-test
else
  CONFIGURE_SWITCHES += --disable-test
endif

ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --with-mutex=POSIX/pthreads/library
endif
ifeq (zavr32-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --enable-posixmutexes
endif

ifeq (yes,$(ENABLE_JAVA))
JAVACFLAGS=-source 1.5 -target 1.5
JAVA_HOME ?= /usr/lib/jvm/default-java
CFLAGS += -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CONFIGURE_SWITCHES += --enable-java
DH_PLUGINS += --with=javahelper
else
CONFIGURE_SWITCHES += --disable-java
DH_OPTIONS += -Nlibdb6.0-java -Nlibdb6.0-java-dev -Nlibdb6.0-java-gcj -Nlibdb6.0-java-jni
endif

ifeq (no,$(ENABLE_GCJ))
DH_OPTIONS += -Nlibdb6.0-java-gcj
endif

ifeq (no,$(ENABLE_SQL))
DH_OPTIONS += -Nlibdb5.1-sql
  CONFIGURE_SWITCHES += --disable-sql
endif


BROKEN_CPUS = zs390z
VERY_BROKEN_CPUS = zm68kz zhppaz
BROKEN_SYSTEMS = zgnuz
VERY_BROKEN_SYSTEMS =

export DH_OPTIONS

package=db6.0
bdbversion=6.0

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

%:
	dh $@ --with=autotools-dev $(DH_PLUGINS)

override_dh_auto_configure:
	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild -- $(CONFIGURE_SWITCHES)

override_dh_auto_build:
	dh_auto_build -Ddist -Bbuild

override_dh_auto_clean:
	dh_auto_clean -Ddist -Bbuild
	rm -f $(CURDIR)/debian/build_signature.txt

override_dh_auto_test:
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(VERY_BROKEN_SYSTEMS)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	chmod +x ./debian/runtests.tclsh
	cd build && ../debian/runtests.tclsh || true

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(BROKEN_SYSTEMS)))
	! grep ^FAIL build/ALL.OUT
else
# Testsuite failures are marked as non-fatal on $(DEB_BUILD_GNU_SYSTEM)-$(DEB_BUILD_GNU_CPU)
	grep ^FAIL build/ALL.OUT || true
endif
else
# Testsuite has been disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif
else
# Testsuite has been disabled on $(DEB_BUILD_GNU_SYSTEM)-$(DEB_BUILD_GNU_CPU)
endif

override_dh_auto_install:
	dh_auto_install -Ddist -Bbuild

# Remove .la files
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

# Remove libdb*-5.so from all packages, we don't provide generic libdb5 packages
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb*5.so

	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a
	ln -s libdb-$(bdbversion).a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a

# only works for the native build
ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
# Compare built-in signature and fail build if it is different
	cc -o$(CURDIR)/debian/db_signature \
	   -I$(CURDIR)/debian/tmp/usr/include \
	     $(CURDIR)/debian/db_signature.c \
	     $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a

	$(CURDIR)/debian/db_signature > $(CURDIR)/debian/build_signature_$(DEB_HOST_ARCH).txt

	echo -n "Berkeley DB build signature is: "; $(CURDIR)/debian/db_signature
ifneq ($(DEB_STAGE),stage1)
	if [ -f $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt ]; then \
	    echo -n "Berkeley DB saved signature is: "; cat $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt; \
	    cmp $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt         \
	        $(CURDIR)/debian/build_signature_$(DEB_HOST_ARCH).txt         \
	    || ( echo "Region environment signatures differ."; exit 1; );     \
	fi
endif
endif

	mv $(CURDIR)/debian/tmp/usr/bin/dbsql $(CURDIR)/debian/tmp/usr/bin/db_sql
	rm -f $(CURDIR)/debian/tmp/usr/bin/sqlite3

	for i in $(CURDIR)/debian/tmp/usr/bin/db_*; do \
	  mv $$i $$(echo $$i | sed -e 's{usr/bin/db_{usr/bin/$(package)_{'); \
	done

override_dh_install:
	dh_install -a -Xusr/doc --list-missing
ifeq ($(ENABLE_TCL),yes)
	tcltk-depends
endif

override_dh_installdocs:
	dh_installdocs -pdb6.0-doc
	dh_installdocs --remaining-packages --link-doc=libdb6.0

override_dh_strip:
	dh_strip -s --dbg-package=libdb6.0-dbg

override_dh_clean:
	rm -rf build
	rm -f $(CURDIR)/debian/db_signature
	DH_OPTIONS="" dh_clean

override_jh_build:
	jh_build --javacopts='-target 1.5' --javacopts='-source 1.5'

override_jh_installlibs:
ifeq (yes,$(ENABLE_JAVA))
	jh_installlibs
endif
ifeq (yes,$(ENABLE_GCJ))
	dh_nativejava
endif
